MPD

- Main Page
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields

# pcm_buffer Struct Reference

Manager for a temporary buffer which grows as needed. More...

`#include <pcm_buffer.h>`

## Data Fields
void * | buffer
size_t | size

## Detailed Description

Manager for a temporary buffer which grows as needed.

We could allocate a new buffer every time pcm_convert() is called, but that would put too much stress on the allocator.

Definition at line 30 of file pcm_buffer.h.

## Field Documentation

void* pcm_buffer::buffer

Definition at line 31 of file pcm_buffer.h.

size_t pcm_buffer::size

Definition at line 33 of file pcm_buffer.h.

The documentation for this struct was generated from the following file:

- src/pcm_buffer.h